Bug 466682 - SanDisk 4G SDHC card fails to mount
SanDisk 4G SDHC card fails to mount
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Pete Zaitcev
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-12 15:20 EDT by Tim Burke
Modified: 2009-01-16 15:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-16 15:21:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Burke 2008-10-12 15:20:45 EDT
SanDisk 4G SDHC card 

Running RHEL5.2
[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.18-92.1.13.el5 #1 SMP Thu Sep 4 03:51:01 EDT 2008 i686 i686 i38
6 GNU/Linux

Plug in card, following appears in /var/log/messages

Oct 12 15:11:55 localhost kernel: usb 1-5: new high speed USB device using ehci_hcd and address
 8
Oct 12 15:11:55 localhost kernel: usb 1-5: configuration #1 chosen from 1 choice
Oct 12 15:11:55 localhost kernel: scsi8 : SCSI emulation for USB Mass Storage devices
Oct 12 15:12:00 localhost kernel:   Vendor: Hama      Model: Card Reader   CF  Rev: 1.9C
Oct 12 15:12:00 localhost kernel:   Type:   Direct-Access                      ANSI SCSI revisi
on: 00
Oct 12 15:12:03 localhost udevd-event[14885]: wait_for_sysfs: waiting for '/sys/devices/pci0000
:00/0000:00:1d.7/usb1/1-5/1-5:1.0/host8/target8:0:0/8:0:0:0/ioerr_cnt' failed
Oct 12 15:12:06 localhost kernel: sd 8:0:0:0: Attached scsi removable disk sdb
Oct 12 15:12:06 localhost kernel: sd 8:0:0:0: Attached scsi generic sg1 type 0
Oct 12 15:12:08 localhost kernel:   Vendor: Hama      Model: Card Reader   MS  Rev: 1.9C
Oct 12 15:12:08 localhost kernel:   Type:   Direct-Access                      ANSI SCSI revisi
on: 00
Oct 12 15:12:10 localhost kernel: sd 8:0:0:1: Attached scsi removable disk sdc
Oct 12 15:12:10 localhost kernel: sd 8:0:0:1: Attached scsi generic sg2 type 0
Oct 12 15:12:10 localhost kernel:   Vendor: Hama      Model: CardReaderMMC/SD  Rev: 1.9C
Oct 12 15:12:10 localhost kernel:   Type:   Direct-Access                      ANSI SCSI revisi
on: 00
Oct 12 15:12:10 localhost kernel: sd 8:0:0:2: Attached scsi removable disk sdd
Oct 12 15:12:10 localhost kernel: sd 8:0:0:2: Attached scsi generic sg3 type 0
Oct 12 15:12:10 localhost kernel:   Vendor: Hama      Model: Card Reader   SM  Rev: 1.9C
Oct 12 15:12:10 localhost kernel:   Type:   Direct-Access                      ANSI SCSI revisi
on: 00
Oct 12 15:12:10 localhost kernel: sd 8:0:0:3: Attached scsi removable disk sde
Oct 12 15:12:10 localhost kernel: sd 8:0:0:3: Attached scsi generic sg4 type 0

Nothing gets automatically mounted.  Try it manually, no luck:
[root@localhost ~]# mount /dev/sdb /mnt/tmp -t vfat
mount: No medium found
[root@localhost ~]# mount /dev/sdc /mnt/tmp -t vfat
mount: No medium found
[root@localhost ~]# mount /dev/sdd /mnt/tmp -t vfat
mount: No medium found
[root@localhost ~]# mount /dev/sde /mnt/tmp -t vfat
mount: No medium found

Now unplug it:

Oct 12 15:14:19 localhost kernel: usb 1-5: USB disconnect, address 8






Question: I have gotten 2G SD cards to work before, but this is the first one I've purchased which is 4G and is noted as SDHC.  Could the problem be that SD card reader device is too old and not capable of "HC"?
Comment 2 Pete Zaitcev 2008-10-13 21:19:48 EDT
I don't think we can do anything if the reader does not support
the HC variety of SDs. It's a totally lost case.

What's more insteresting is, do they work in controllers where the
host CPU has access to the SD bus directly?
Comment 3 Tim Burke 2008-10-20 09:10:33 EDT
I don't know if this is an issue with the reader.  That was just speculation. Is it the case that older readers are not HC capable?
Comment 4 Pete Zaitcev 2009-01-16 15:21:35 EST
My trusty old 12 in 1 (SDDR-89) turned out not compatible with SDHC. I bought
Sony MRW62E ($24 in Staples), which works fine.

The problem with USB readers is that the host cannot see the SD host
directly. We send SCSI commands to the reader, and it's up to the reader
to drive the SD controller. So we cannot employ SDHC extensions even
if the chip inside the reader would be capable (some just bit-bang
it anyway).

Note You need to log in before you can comment on or make changes to this bug.